Package org.apache.sling.scripting.groovy.internal

# Class GStringScriptEngine

java.lang.Object
javax.script.AbstractScriptEngine
org.apache.sling.scripting.api.AbstractSlingScriptEngine
org.apache.sling.scripting.groovy.internal.GStringScriptEngine

All Implemented Interfaces:
  `ScriptEngine`

public final class GStringScriptEngine extends org.apache.sling.scripting.api.AbstractSlingScriptEngine
Script Engine using Groovy's `GStringTemplateEngine`.

## Field Summary

### Fields inherited from class javax.script.AbstractScriptEngine

`context`

### Fields inherited from interface javax.script.ScriptEngine

`ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eval(Reader reader, ScriptContext scriptContext)`

### Methods inherited from class org.apache.sling.scripting.api.AbstractSlingScriptEngine

`createBindings, eval, getFactory`

### Methods inherited from class javax.script.AbstractScriptEngine

`eval, eval, eval, eval, get, getBindings, getContext, getScriptContext, put, setBindings, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### eval

public Object eval(Reader reader, ScriptContext scriptContext) throws ScriptException

Throws:
  `ScriptException`